- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QAbstractAxisInput
- Qt 6.8.3 Reference Documentation

# QAbstractAxisInput Class

class Qt3DInput::QAbstractAxisInput

QAbstractActionInput is the base class for all Axis Input. More...

Header: | `#include <Qt3DInput/QAbstractAxisInput>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DInput::QAnalogAxisInput and Qt3DInput::QButtonAxisInput
Status: | Deprecated

- List of all members, including inherited members

## Properties

- sourceDevice : Qt3DInput::QAbstractPhysicalDevice*

## Public Functions

Qt3DInput::QAbstractPhysicalDevice * | sourceDevice() const

## Public Slots

void | setSourceDevice(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

## Signals

void | sourceDeviceChanged(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

## Detailed Description

## Property Documentation

### sourceDevice : Qt3DInput::QAbstractPhysicalDevice*

The source device for the QAbstractAxisInput.

Access functions:

Qt3DInput::QAbstractPhysicalDevice * | sourceDevice() const
void | setSourceDevice(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)

Notifier signal:

void | sourceDeviceChanged(Qt3DInput::QAbstractPhysicalDevice *sourceDevice)